de.caff.util.settings

## Class AbstractBasicLocalizableChangeableItem

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem

- All Implemented Interfaces:
    ChangeableItem, java.io.Serializable
  Direct Known Subclasses:
    AbstractBasicSimpleEditableChangeableItem, SwingLookAndFeelPreferenceProperty, SwingRecentFilesPreferenceProperty

      public abstract class AbstractBasicLocalizableChangeableItem
      extends AbstractBasicChangeableItem

  Basic implementation of a localizable preference property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicLocalizableChangeableItem(java.lang.String basicName, java.lang.String baseTag)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseTag()` Get the basic i18n label tag.
    `java.lang.String` | `getLabelString(java.util.Locale l)` Return a localized string to be used as a label.
    `java.lang.String` | `getMenuString(java.util.Locale l)` Return a localized string to be used as a menu entry.
    `java.lang.String` | `getName(java.util.Locale l)` Get a name for the editor component.
    `protected java.lang.String` | `getString(java.util.Locale locale, java.lang.String tagExtension)` Get a localized text for a tag which is the result of concatenating the basic label tag with the tag extension.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBasicLocalizableChangeableItem

          protected AbstractBasicLocalizableChangeableItem(@NotNull
                                                           java.lang.String basicName,
                                                           @NotNull
                                                           java.lang.String baseTag)

      Constructor.
      Parameters:
        `basicName` - basic name (prefix)
        `baseTag` - basic i18n tag

  - ### Method Detail

    - #### getName

          @Nullable
          public java.lang.String getName(@Nullable
                                                    java.util.Locale l)

      Get a name for the editor component.
      Parameters:
        `l` - locale used for i18n
      Returns:
        common title or `null`

    - #### getLabelString

          public java.lang.String getLabelString(@Nullable
                                                 java.util.Locale l)

      Return a localized string to be used as a label.
      Parameters:
        `l` - locale
      Returns:
        label string

    - #### getMenuString

          public java.lang.String getMenuString(@Nullable
                                                java.util.Locale l)

      Return a localized string to be used as a menu entry.
      Parameters:
        `l` - locale
      Returns:
        menu entry string

    - #### getBaseTag

          @NotNull
          public java.lang.String getBaseTag()

      Get the basic i18n label tag.
      Returns:
        label tag

    - #### getString

          @Nullable
          protected java.lang.String getString(@Nullable
                                                         java.util.Locale locale,
                                                         @NotNull
                                                         java.lang.String tagExtension)

      Get a localized text for a tag which is the result of concatenating the basic label tag with the tag extension.
      Parameters:
        `locale` - locale
        `tagExtension` - tag extension
      Returns:
        localized string or `null` if the resulting tag is undefined